In the modeller: AttributeError: 'QgsProcessingAlgorithm' object has no attribute 'help' 

2017-11-17 11:53 AM - Etienne Trimaille

Status: Closed

Priority: High

Assignee: Alexander Bruy

Category: Processing/Modeller

Affected QGIS version:master Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 25380

Description

When I click the `help` button in an algorithm in the modeler, I have a Python exception:

```

AttributeError: 'QgsProcessingAlgorithm' object has no attribute 'help' 

Traceback (most recent call last):

  File

"/Users/etienne/dev/cpp/build-QGIS-QGIS_Build_Kit_QT5-Debug/output/python/plugins/processing/modeler/ModelerParametersDialog.py", l

py", line 365, in openHelp

    algHelp = self._alg.help()

AttributeError: 'QgsProcessingAlgorithm' object has no attribute 'help'

```

Maybe we should have the same help window when we are in the Processing toolbox

QGIS Master

Associated revisions

Revision 3a576d80 - 2017-11-23 03:16 PM - Alexander Bruy

[processing] restore Help button functionality in modeler (fix #17483)

History

#1 - 2017-11-21 04:07 PM - Giovanni Manghi

- Priority changed from Normal to High

I'm not able to test this because

1) the modeler GUI is pretty much broken in master

2) when trying to add a algorithm I get

ImportError: cannot import name 'ExpressionWidgetWrapperMixin' 

Traceback (most recent call last):

  File "/usr/share/qgis/python/plugins/processing/modeler/ModelerDialog.py", line 584, in addAlgorithm

    self._addAlgorithm(alg)

  File "/usr/share/qgis/python/plugins/processing/modeler/ModelerDialog.py", line 593, in _addAlgorithm

    dlg = ModelerParametersDialog(alg, self.model)

  File "/usr/share/qgis/python/plugins/processing/modeler/ModelerParametersDialog.py", line 77, in __init__
    self.setupUi()

  File "/usr/share/qgis/python/plugins/processing/modeler/ModelerParametersDialog.py", line 147, in setupUi

    wrapper = WidgetWrapperFactory.create_wrapper(param, self)

  File "/usr/share/qgis/python/plugins/processing/gui/wrappers.py", line 1464, in create_wrapper

    return WidgetWrapperFactory.create_wrapper_from_metadata(param, dialog, row, col)

  File "/usr/share/qgis/python/plugins/processing/gui/wrappers.py", line 1479, in create_wrapper_from_metadata

    mod = __import__('.'.join(tokens[:-1]), fromlist=[tokens[-1]])

  File "/usr/lib/python3/dist-packages/qgis/utils.py", line 664, in _import

    mod = _builtin_import(name, globals, locals, fromlist, level)

  File "/usr/share/qgis/python/plugins/processing/gui/wrappers_postgis.py", line 31, in 

    from processing.gui.wrappers import (

ImportError: cannot import name 'ExpressionWidgetWrapperMixin'

#2 - 2017-11-21 04:38 PM - Etienne Trimaille

1) the modeler GUI is pretty much broken in master

What do you mean? AFAIK, everything looks fine for me. Except this ticket with the python exception on the help button.

2) when trying to add an algorithm I get

I can't replicate. I just created a new model with some algorithms. I couldn't replicate

#3 - 2017-11-21 04:42 PM - Giovanni Manghi

I mean #17488

I just tried on clean master installation (from repo) on completely clean ubuntu 16.04 installation.

On that broken gui you can somehow double click to add an algorithm, and I got the above error.

#4 - 2017-11-23 03:16 PM - Alexander Bruy

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|3a576d80b230779150ea560eb5c1b148633888f2.

#5 - 2017-11-23 03:18 PM - Alexander Bruy

- Assignee changed from Victor Olaya to Alexander Bruy
